Error running installer : PHPMailer.php on line 304

Look here if you're having trouble with BitShop
PbxKid
Posts: 1
Joined: Fri Aug 03, 2018 1:59 pm

Error running installer : PHPMailer.php on line 304

Postby PbxKid » Fri Aug 03, 2018 2:05 pm

Dear, users

I just downloaded the script and upload all the files to my server, but when I run the installer I get the following error :

Parse error: syntax error, unexpected '[' in /home/public_html/lib/PHPMailer/PHPMailer.php on line 304

Any idea why this happens?

Thank you very much!

User avatar
bitfreak
Site Admin
Posts: 78
Joined: Thu Dec 10, 2015 6:57 pm
Location: Australia
Contact:

Re: Error running installer : PHPMailer.php on line 304

Postby bitfreak » Thu Sep 20, 2018 1:46 pm

Maybe try updating to the latest version of PHPMailer: https://github.com/PHPMailer/PHPMailer/

Replace the files in /lib/PHPMailer/ with the files from the src folder of PHPMailer.

If that doesn't work I would suggest trying a different version of PHP.


Return to “Technical Support”

Who is online

Users browsing this forum: No registered users and 1 guest